%global packname  fibroEset

Name:             R-%{packname}
Version:          1.4.4
Release:          1%{?dist}
Summary:          ExprSet for karaman et al. (2003) fibroblasts data

Group:            Applications/Engineering 
# LGPL implies LGPLv2+
License:          LGPLv2+
URL:              http://www.bioconductor.org/packages/2.6/data/experiment/html/fibroEset.html
Source0:          http://www.bioconductor.org/packages/2.6/data/experiment/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch 

Requires:         R-core
Requires:         R-Biobase >= 2.5.5 
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-Biobase >= 2.5.5

%description
ExprSet for Karaman et al. (2003) human, bonobo and gorilla fibroblasts data.


%prep
%setup -q -c -n %{packname}


%build


%install
rm -rf %{buildroot}


# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css


%check
R CMD check %{packname}


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)

# noarch
%dir %{_datadir}/R/library/%{packname}/
%doc %{_datadir}/R/library/%{packname}/html/
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/data/


%changelog
* Wed May 12 2010 Sandro Mathys <red at fedoraproject.org> - 1.4.4-1
- initial package
